%{!?dist: %define dist .slc6}
Name: cern-private-cloud-addons
Version: 0.4.2
Release: 1%{?dist}
Summary: '%{name}' configures Virtual Machines in the CERN Cloud Infrastructure service
Group: Applications/System
Source: %{name}-%{version}.tar.gz
License: GPL
Vendor: CERN
Packager: Linux.Support@cern.ch
URL: http://cern.ch/linux/

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch

%if 0%{?rhel} >= 7
Requires: cern-config-users
Requires: lcm-profile
Requires: lcm
#locmap
%else
Requires: cern-config-users
Requires: lcm-profile
Requires: lcm
%endif

%description 
'%{name}' configures SLC Virtual Machines in the CERN Cloud Infrastructure service:
  * it creates the necessary accounts + sudo privileges
  * it sets us root e-mail forwarding and .k5login file
  * it adds the printers in the buildings where the users have their offices
  * it creates a Kerberos5 keytab /etc/krb5.keytab

%prep
%setup -q

%build

%install

mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
%if 0%{?rhel} >= 7
install -m 755 cern-private-cloud-addons.sh-cc7 $RPM_BUILD_ROOT/%{_sbindir}/cern-private-cloud-addons
%else
install -m 755 cern-private-cloud-addons.sh $RPM_BUILD_ROOT/%{_sbindir}/cern-private-cloud-addons
%endif

mkdir -p $RPM_BUILD_ROOT/%{_initrddir}
install -m 755 cern-private-cloud-addons   $RPM_BUILD_ROOT/%{_initrddir}/cern-private-cloud-addons

mkdir -p $RPM_BUILD_ROOT/%{_localstatedir}/lib/cern-private-cloud-addons

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%{_sbindir}/cern-private-cloud-addons
%{_initrddir}/cern-private-cloud-addons
%{_localstatedir}/lib/cern-private-cloud-addons

%post
/sbin/chkconfig --add cern-private-cloud-addons

%preun
if [ "$1" = 0 ] ; then
  /sbin/chkconfig --del cern-private-cloud-addons
fi

%postun

%changelog
* Wed Dec 07 2016 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 0.2-1
- fix dependencies/scripts

* Mon Sep 16 2013 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0.1-2
- "Requires: krb5-workstation" to fix issue in "SLC6 CERN Server [130922]" images

* Mon Sep 16 2013 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0.1-1
- initial build
